/*
    描述: 
    创建人: Hugh
    创建时间: Tue Sep 27 2022 14:50:39 GMT+0800 (澳大利亚西部标准时间)
*/

import { _decorator, Component, Node, game, Prefab, instantiate } from 'cc';
const { ccclass, property } = _decorator;
 
@ccclass('TestPersis')
export class TestPersis extends Component {
    
    private static _instance: TestPersis;

    public static get instance() {
        return this._instance;
    }

    public constructor() {
        super();
        if (TestPersis._instance) {
            return;
        }
        TestPersis._instance = this;
    }

    public onLoad() {
        game.addPersistRootNode(this.node);
    }

    public addPopView(prefab: Prefab) {
        this.node.addChild(instantiate(prefab));
    }
}
